> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Topics

Find topics by details returns a list of topics that matched the query parameter.

The value can match with the topic's name, group, base topic, or description. Results can be narrowed with the `topics`, `groups`, `types` and `subtypes` filters, which take the values the results publish in `topic`, `group`, `type` and `subtype`. Use [Filter Values](/getting-started/knowledge_graph/filter_values) to list the values each one accepts.

Once you have the IDs, you can use them to filter your search queries with an [Topic query filter](../search/query_filters#topic).

<CodeGroup>
  ```bash API highlight={1,5-6} theme={null}
  curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/topics' \
    -H 'Content-Type: application/json' \
    -H 'X-API-KEY: <your-api-key>' \
    --data '{
    "query": "Earnings",
    "groups": ["earnings"]
  }'
  ```

  ```python Python SDK theme={null}
  from dotenv import load_dotenv
  from bigdata_client import Bigdata
  import os

  load_dotenv()

  # Initialize the Bigdata API
  username = os.environ.get("BIGDATA_USERNAME")
  password = os.environ.get("BIGDATA_PASSWORD")
  bigdata = Bigdata(username, password)

  results = bigdata.knowledge_graph.find_topics("board")

  for topic in results:
      print(f"Topic ID: {topic.id}")
      print(f"Topic: {topic.topic}")
      print(f"Group : {topic.topic_group}")
      print(f"Topic Name: {topic.name}")
      print(f"Description: {topic.description}\n")
  ```
</CodeGroup>

Output:

<CodeGroup>
  ```json API theme={null}
  {
    "results": [
      {
        "id": "business,earnings,earnings,,",
        "name": "Earnings",
        "description": "Net income of a company",
        "topic": "business",
        "group": "earnings",
        "type": "earnings"
      },
  ...
    ],
    "metadata": {
      "request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
      "timestamp": "2026-07-02T13:24:45.163695+00:00"
    }
  }
  ```

  ```txt Python SDK theme={null}
  Topic ID: business,labor-issues,board-member-appointment,,
  Topic: business
  Group : labor-issues
  Topic Name: Board Member Appointment
  Description: A new member of the board is appointed

  Topic ID: business,investor-relations,board-meeting,,
  Topic: business
  Group : investor-relations
  Topic Name: Board Meeting
  Description: A formal gathering of the board of directors of a company  

  ...
  ```
</CodeGroup>
